import request from '@/utils/request'

/**
 * 我的
 */
export function me() {
	return request({
		'url': '/user/me',
		headers: {
			isToken: true
		},
		'method': 'get',
		'data': null
	})
}

/**
 * 用户信息卡
 */
export function getCreditCard() {
	return request({
		'url': '/user/creditCard',
		headers: {
			isToken: true
		},
		'method': 'get',
		'data': null
	})
}

/**
 * 中介证书
 */
export function getZhongjie() {
	return request({
		'url': '/user/zhongjie',
		headers: {
			isToken: true
		},
		'method': 'get',
		'data': null
	})
}

/**
 * 按揭证书
 */
export function getAnjie() {
	return request({
		'url': '/user/anjie',
		headers: {
			isToken: true
		},
		'method': 'get',
		'data': null
	})
}

/**
 * 获取系统头像
 */
export function getIconList() {
	return request({
		'url': '/user/getIcon',
		headers: {
			isToken: true
		},
		'method': 'get',
		'data': null
	})
}

/**
 * 修改用户信息
 * 
 * @param {Object} data 表单信息
 */
export function updateIcon(data) {
	return request({
		'url': '/user/icon',
		headers: {
			isToken: true
		},
		'method': 'post',
		'data': data
	})
}

// 用户协议相关接口
// 隐私政策
export function getPrivacyAgree(){
	return request({
		url: '/explain/privacy',
		headers: {
			isToken: false
		},
		'method': 'get'
	})
}
// 用户手册
export function getUserAgree(){
	return request({
		url: '/explain/userManual',
		headers: {
			isToken: false
		},
		'method': 'get'
	})
}
// 注册须知
export function getCancelAgree(){
	return request({
		url: '/explain/cancelRule',
		headers: {
			isToken: false
		},
		'method': 'get'
	})
}
